set key top left # width -5

set terminal postscript eps enhanced "Helvetica" 32


set ylabel "# of Candidates (10^x)" offset 1 font "Helvetica, 40"
unset key
set key top left width -1

unset log y
set key hori
set key ver
set box 0.2

set xrange[-0.5:3.7]
set yrange[0:14]
set xtics 1
set ytics 2
#set key 0,500
set xlabel "Threshold {/Symbol t}" offset 0 font "Helvetica, 35"
set output "fig14-a.eps"
plot "fig14-a.txt" u ($1-0.2):(log10($2)):(0.2) w boxes fs pattern 0 lt 1 t "None",\
    "fig14-a.txt" u ($1):(log10($3)):(0.2) w boxes fs pattern 4 lt 1 t "Lazy",\
    "fig14-a.txt" u ($1+0.2):(log10($4)):(0.2) w boxes fs pattern 2 lt 1 t "Bucket",\
    "fig14-a.txt" u ($1+0.4):(log10($5)):(0.2) w boxes fs pattern 3 lt 1 t "Binary"



#set log y
set key top left width -1
#unset log y
set xrange[-0.5:3.7]
set yrange[0:16]
set xtics 1
set ytics 2
set xtics ("1" 0,"0.95" 1,"0.9" 2,"0.85" 3)
set xlabel "Threshold {/Symbol d}" offset 0 font "Helvetica, 35"
set output "fig14-b.eps"

plot "fig14-b.txt" u ($1-0.2):(log10($3)):(0.2) w boxes fs pattern 0 lt 1 t "None",\
    "fig14-b.txt" u ($1):(log10($4)):(0.2) w boxes fs pattern 4 lt 1 t "Lazy",\
    "fig14-b.txt" u ($1+0.2):(log10($5)):(0.2) w boxes fs pattern 2 lt 1 t "Bucket",\
    "fig14-b.txt" u ($1+0.4):(log10($6)):(0.2) w boxes fs pattern 3 lt 1 t "Binary"



set key top left width -1
set xrange[-0.5:3.7]
set yrange[0:16]
set xtics 1
set ytics 2
set xtics ("1" 0,"0.95" 1,"0.9" 2,"0.85" 3)
set xlabel "Threshold {/Symbol d}" offset 0 font "Helvetica, 35"
set output "fig14-c.eps"
plot "fig14-c.txt" u ($1-0.2):(log10($3)):(0.2) w boxes fs pattern 0 lt 1 t "None",\
    "fig14-c.txt" u ($1):(log10($4)):(0.2) w boxes fs pattern 4 lt 1 t "Lazy",\
    "fig14-c.txt" u ($1+0.2):(log10($5)):(0.2) w boxes fs pattern 2 lt 1 t "Bucket",\
    "fig14-c.txt" u ($1+0.4):(log10($6)):(0.2) w boxes fs pattern 3 lt 1 t "Binary"