set key top left # width -5

set terminal postscript eps enhanced "Helvetica" 32


set ylabel "Search Time (s)" offset 2 font "Helvetica, 40"
unset key
set key top left width -1

set log y
#set key hori
set key ver
set box 0.2




set xrange[-0.5:3.7]
set yrange[0.1:499]
set xtics 1
set ytics 0.1
#set key 0,500
set xlabel "Threshold {/Symbol t}" offset 0 font "Helvetica, 35"
set output "fig15-a.eps"
plot "fig15-a.txt" u ($1-0.2):($2):(0.2) w boxes fs pattern 0 lt 1 t "None",\
    "fig15-a.txt" u ($1):($3):(0.2) w boxes fs pattern 4 lt 1 t "Lazy",\
    "fig15-a.txt" u ($1+0.2):($4):(0.2) w boxes fs pattern 2 lt 1 t "Bucket",\
    "fig15-a.txt" u ($1+0.4):($5):(0.2) w boxes fs pattern 3 lt 1 t "Binary"


set key top left width -1
#unset log y
set xrange[-0.5:3.7]
set yrange[9:1001]
set xtics 1
set ytics 0.1
set xtics ("1" 0,"0.95" 1,"0.9" 2,"0.85" 3)
set xlabel "Threshold {/Symbol d}" offset 0 font "Helvetica, 35"
set output "fig15-b.eps"

plot "fig15-b.txt" u ($1-0.2):($3):(0.2) w boxes fs pattern 0 lt 1 t "None",\
    "fig15-b.txt" u ($1):($4):(0.2) w boxes fs pattern 4 lt 1 t "Lazy",\
    "fig15-b.txt" u ($1+0.2):($5):(0.2) w boxes fs pattern 2 lt 1 t "Bucket",\
    "fig15-b.txt" u ($1+0.4):($6):(0.2) w boxes fs pattern 3 lt 1 t "Binary"

set key top left width -1
set xrange[-0.5:3.7]
set yrange[0.1:10009]
set xtics 1
set ytics 0.1
set xtics ("1" 0,"0.95" 1,"0.9" 2,"0.85" 3)
set xlabel "Threshold {/Symbol d}" offset 0 font "Helvetica, 35"
set output "fig15-c.eps"
plot "fig15-c.txt" u ($1-0.2):($3):(0.2) w boxes fs pattern 0 lt 1 t "None",\
    "fig15-c.txt" u ($1):($4):(0.2) w boxes fs pattern 4 lt 1 t "Lazy",\
    "fig15-c.txt" u ($1+0.2):($5):(0.2) w boxes fs pattern 2 lt 1 t "Bucket",\
    "fig15-c.txt" u ($1+0.4):($6):(0.2) w boxes fs pattern 3 lt 1 t "Binary"