set key top left # width -5
set terminal postscript eps enhanced "Helvetica" 32
set xlabel "Threshold {/Symbol t}" offset 0 font "Helvetica, 35"
set ylabel "Search Time (s)" offset 1 font "Helvetica, 40"
set key top left width -1
set key vertical
set size 1,1
unset log y

set xrange[-0.3:4.3]
set yrange[0:300]
set xtics 1
set ytics 50
set output "fig16-a.eps"

plot "fig16-a.txt" u 1:2 w lp ps 2.5 lw 3 t "NGPP", "fig16-a.txt" u 1:3 w lp ps 2.5 lw 3 pt 6 t "Faerie"

#unset log y
set log y
set size 1,1

set xrange[-0.3:4.3]
set yrange[0.1:20000]
set xtics 1
set ytics 0.1
set xlabel "Threshold {/Symbol d}" offset 0 font "Helvetica, 35"
set xtics ("1" 0, "0.95" 1, "0.9" 2,"0.85" 3,"0.8" 4)
set output "fig16-b.eps"

plot "fig16-b.txt" u 1:3 w lp ps 2.5 lw 3 t "ISH", "fig16-b.txt" u 1:4 w lp ps 2.5 lw 3 pt 6 t "Faerie"
    
set size 1,1
set xrange[-0.3:4.3]
set yrange[0.1:60000]
set xtics 1
set ytics 0.1
set xlabel "Threshold {/Symbol d}" offset 0 font "Helvetica, 35"
set xtics ("1" 0, "0.95" 1, "0.9" 2,"0.85" 3,"0.8" 4)
set output "fig16-c.eps"

plot "fig16-c.txt" u 1:3 w lp ps 2.5 lw 3 t "ISH", "fig16-c.txt" u 1:4 w lp ps 2.5 lw 3 pt 6 t "Faerie"