set key top left # width -5

set terminal postscript eps enhanced "Helvetica" 32

set xlabel "Number of Entities (*10000)" offset 0 font "Helvetica, 40"
set ylabel "Search Time (s)" offset 2 font "Helvetica, 40"
set key top left width 0
set key hori


unset log y
set key hori
set key vertical
set size 1,1
set xrange[1:11]
set yrange[0:30]
set xtics 2
set ytics 10
set output "fig17-a.eps"
plot "fig17-a.txt" u 1:5 w lp ps 2.5 lw 3 pt 6 t "{/Symbol t}=3",\
	"fig17-a.txt" u 1:4 w lp ps 2.5 lw 3 pt 3 t "{/Symbol t}=2",\
	"fig17-a.txt" u 1:3 w lp ps 2.5 lw 3 pt 4 t "{/Symbol t}=1",\
	"fig17-a.txt" u 1:2 w lp ps 2.5 lw 3 pt 1 t "{/Symbol t}=0"
	
     
     
#unset log y
#set key hori
#set key vertical
set size 1,1
set xrange[1:11]
set yrange[0:60]
set xtics 2
set ytics 10
set output "fig17-b.eps"
plot "fig17-b.txt" u 1:5 w lp ps 2.5 lw 4 pt 6 t "{/Symbol d}=0.85",\
     "fig17-b.txt" u 1:4 w lp ps 2.5 lw 4 pt 3 t "{/Symbol d}=0.9",\
     "fig17-b.txt" u 1:3 w lp ps 2.5 lw 4 pt 4 t "{/Symbol d}=0.95",\
     "fig17-b.txt" u 1:2 w lp ps 2.5 lw 4 pt 1 t "{/Symbol d}=1"



#set key hori
#set log y
#set key vertical
set size 1,1
set xrange[1:11]
set yrange[0:120]
set xtics 2
set ytics 20
set output "fig17-c.eps"
plot      "fig17-c.txt" u 1:5 w lp ps 2.5 lw 3 pt 6 t "{/Symbol d}=0.85",\
     "fig17-c.txt" u 1:4 w lp ps 2.5 lw 3 pt 3 t "{/Symbol d}=0.9",\
     "fig17-c.txt" u 1:3 w lp ps 2.5 lw 3 pt 4 t "{/Symbol d}=0.95",\
     "fig17-c.txt" u 1:2 w lp ps 2.5 lw 3 pt 1 t "{/Symbol d}=1"
     
     
#set xlabel "Number of Entities (*1000)" offset 0 font "Helvetica, 40"


#set key hori
#unset log y
#set key vertical
set size 1,1
set xrange[1:11]
set yrange[0:80]
set xtics 2
set ytics 10
set output "fig17-d.eps"
plot   "fig17-d.txt" u 1:5 w lp ps 2.5 lw 4 lt 4 pt 6 t "{/Symbol d}=0.85", \
     "fig17-d.txt" u 1:4 w lp ps 2.5 lw 4 lt 5 pt 3 t "{/Symbol d}=0.9",\
	"fig17-d.txt" u 1:3 w lp ps 2.5 lw 4 lt 2 pt 4 t "{/Symbol d}=0.95",\
	"fig17-d.txt" u 1:2 w lp ps 2.5 lw 4 lt 1 pt 1 t "{/Symbol d}=1"


    


#unset log y
#set key vertical
set size 1,1
set xrange[1:11]
set yrange[0:80]
set xtics 2
set ytics 10
set output "fig17-e.eps"
plot      "fig17-e.txt" u 1:5 w lp ps 2.5 lw 4 pt 6 t "{/Symbol d}=0.85",\
     "fig17-e.txt" u 1:4 w lp ps 2.5 lw 4 pt 3 t "{/Symbol d}=0.9",\
     "fig17-e.txt" u 1:3 w lp ps 2.5 lw 4 pt 4 t "{/Symbol d}=0.95",\
     "fig17-e.txt" u 1:2 w lp ps 2.5 lw 4 pt 1 t "{/Symbol d}=1"

     


 

 