
echo " "
echo "Get Results of Figure 14 and Figure 15 (Evaluating Different Pruning Techniques)"


## None Pruning 

echo "****************************None Pruning******************************************"
echo "Figure 14(a) & Figure 15 (a): Single Heap Without Pruning - DBLP - Edit Distance"

./bin/faerie EditDistance 16 0 ./dataset/dblp.dict ./dataset/dblp.doc Single
./bin/faerie EditDistance 8 1 ./dataset/dblp.dict ./dataset/dblp.doc Single
./bin/faerie EditDistance 5 2 ./dataset/dblp.dict ./dataset/dblp.doc Single
./bin/faerie EditDistance 4 3 ./dataset/dblp.dict ./dataset/dblp.doc Single


echo " "
echo "****************************None Pruning******************************************"
echo "Figure 14(b) & Figure 15 (b): Single Heap Without Pruning - Webpage - Jaccard"

./bin/faerie Jaccard 1 ./dataset/webpage.dict ./dataset/webpage.doc Single
./bin/faerie Jaccard 0.95 ./dataset/webpage.dict ./dataset/webpage.doc Single
./bin/faerie Jaccard 0.9 ./dataset/webpage.dict ./dataset/webpage.doc Single
./bin/faerie Jaccard 0.85 ./dataset/webpage.dict ./dataset/webpage.doc Single

echo " "
echo "****************************None Pruning******************************************"
echo "Figure 14(c) & Figure 15 (c): Single Heap Without Pruning - PubMed - Edit Similarity"

./bin/faerie EditSimilarity 26 1 ./dataset/pubmed.dict ./dataset/pubmed.doc Single
./bin/faerie EditSimilarity 11 0.95 ./dataset/pubmed.dict ./dataset/pubmed.doc Single
./bin/faerie EditSimilarity 7 0.9 ./dataset/pubmed.dict ./dataset/pubmed.doc Single
./bin/faerie EditSimilarity 5 0.85 ./dataset/pubmed.dict ./dataset/pubmed.doc Single





## Lazy-update Pruning
echo " "
echo "***************************Lazy-update Pruning************************************"
echo "Figure 14(a) & Figure 15 (a): Single Heap with Lazy-update Pruning - DBLP - Edit Distance"

./bin/faerie EditDistance 16 0 ./dataset/dblp.dict ./dataset/dblp.doc Lazy
./bin/faerie EditDistance 8 1 ./dataset/dblp.dict ./dataset/dblp.doc Lazy
./bin/faerie EditDistance 5 2 ./dataset/dblp.dict ./dataset/dblp.doc Lazy
./bin/faerie EditDistance 4 3 ./dataset/dblp.dict ./dataset/dblp.doc Lazy


echo " "
echo "***************************Lazy-update Pruning************************************"
echo "Figure 14(b) & Figure 15 (b): Single Heap with Lazy-update Pruning - Webpage - Jaccard"

./bin/faerie Jaccard 1 ./dataset/webpage.dict ./dataset/webpage.doc Lazy
./bin/faerie Jaccard 0.95 ./dataset/webpage.dict ./dataset/webpage.doc Lazy
./bin/faerie Jaccard 0.9 ./dataset/webpage.dict ./dataset/webpage.doc Lazy
./bin/faerie Jaccard 0.85 ./dataset/webpage.dict ./dataset/webpage.doc Lazy

echo " "
echo "***************************Lazy-update Pruning************************************"
echo "Figure 14(c) & Figure 15 (c): Single Heap with Lazy-update Pruning - PubMed - Edit Similarity"

./bin/faerie EditSimilarity 26 1 ./dataset/pubmed.dict ./dataset/pubmed.doc Lazy
./bin/faerie EditSimilarity 11 0.95 ./dataset/pubmed.dict ./dataset/pubmed.doc Lazy
./bin/faerie EditSimilarity 7 0.9 ./dataset/pubmed.dict ./dataset/pubmed.doc Lazy
./bin/faerie EditSimilarity 5 0.85 ./dataset/pubmed.dict ./dataset/pubmed.doc Lazy





## Bucket-update Pruning
echo " "
echo "***************************Bucket-update Pruning**********************************"
echo "Figure 14(a) & Figure 15 (a): Single Heap with Bucket-update Pruning - DBLP - Edit Distance"

./bin/faerie EditDistance 16 0 ./dataset/dblp.dict ./dataset/dblp.doc Bucket
./bin/faerie EditDistance 8 1 ./dataset/dblp.dict ./dataset/dblp.doc Bucket
./bin/faerie EditDistance 5 2 ./dataset/dblp.dict ./dataset/dblp.doc Bucket
./bin/faerie EditDistance 4 3 ./dataset/dblp.dict ./dataset/dblp.doc Bucket


echo " "
echo "***************************Bucket-update Pruning**********************************"
echo "Figure 14(b) & Figure 15 (b): Single Heap with Bucket-update Pruning - Webpage - Jaccard"

./bin/faerie Jaccard 1 ./dataset/webpage.dict ./dataset/webpage.doc Bucket
./bin/faerie Jaccard 0.95 ./dataset/webpage.dict ./dataset/webpage.doc Bucket
./bin/faerie Jaccard 0.9 ./dataset/webpage.dict ./dataset/webpage.doc Bucket
./bin/faerie Jaccard 0.85 ./dataset/webpage.dict ./dataset/webpage.doc Bucket

echo " "
echo "***************************Bucket-update Pruning**********************************"
echo "Figure 14(c) & Figure 15 (c): Single Heap with Bucket-update Pruning - PubMed - Edit Similarity"


./bin/faerie EditSimilarity 26 1 ./dataset/pubmed.dict ./dataset/pubmed.doc Bucket
./bin/faerie EditSimilarity 11 0.95 ./dataset/pubmed.dict ./dataset/pubmed.doc Bucket
./bin/faerie EditSimilarity 7 0.9 ./dataset/pubmed.dict ./dataset/pubmed.doc Bucket
./bin/faerie EditSimilarity 5 0.85 ./dataset/pubmed.dict ./dataset/pubmed.doc Bucket







## Binary Search

echo " "
echo "*******************************Binary Search**************************************"
echo "Figure 14(a) & Figure 15 (a): Single Heap with Binary Search - DBLP - Edit Distance"

./bin/faerie EditDistance 16 0 ./dataset/dblp.dict ./dataset/dblp.doc Binary
./bin/faerie EditDistance 8 1 ./dataset/dblp.dict ./dataset/dblp.doc Binary
./bin/faerie EditDistance 5 2 ./dataset/dblp.dict ./dataset/dblp.doc Binary
./bin/faerie EditDistance 4 3 ./dataset/dblp.dict ./dataset/dblp.doc Binary

echo " "
echo "*******************************Binary Search**************************************"
echo "Figure 14(b) & Figure 15 (b): Single Heap with Binary Search - Webpage - Jaccard"


./bin/faerie Jaccard 1 ./dataset/webpage.dict ./dataset/webpage.doc Binary
./bin/faerie Jaccard 0.95 ./dataset/webpage.dict ./dataset/webpage.doc Binary
./bin/faerie Jaccard 0.9 ./dataset/webpage.dict ./dataset/webpage.doc Binary
./bin/faerie Jaccard 0.85 ./dataset/webpage.dict ./dataset/webpage.doc Binary


echo " "
echo "*******************************Binary Search**************************************"
echo "Figure 14(c) & Figure 15 (c): Single Heap with Binary Search - PubMed - Edit Similarity"

./bin/faerie EditSimilarity 26 1 ./dataset/pubmed.dict ./dataset/pubmed.doc Binary
./bin/faerie EditSimilarity 11 0.95 ./dataset/pubmed.dict ./dataset/pubmed.doc Binary
./bin/faerie EditSimilarity 7 0.9 ./dataset/pubmed.dict ./dataset/pubmed.doc Binary
./bin/faerie EditSimilarity 5 0.85 ./dataset/pubmed.dict ./dataset/pubmed.doc Binary

echo " "
echo "--------------------------------------FINISHED------------------------------------"